The Afterpay API is organized around REST. The API uses predictable, resource-oriented URLs and uses HTTP status codes to indicate errors.
Afterpay recommends using UUIDs as requestId values. For most endpoints, requests with the same requestId will return the same response for up to 24 hours. Refund requests are an exception — they support idempotency for longer than 24 hours.
If an idempotent request returns an HTTP 409, it means the original request is still being processed. Retry the request with the same requestId until a different response is returned.
2025-01-01T13:25:00Z) or with a time zone offset (e.g. 2025-01-01T23:25:00+10:00 for AEST).https://global-api.afterpay.comhttps://global-api-sandbox.afterpay.comExisting merchant using region-specific endpoints (e.g. https://api.us.afterpay.com), can continue using them for their current region.
The List Payment endpoint supports pagination using the includeNextLink query parameter.